Access Connectors - List By Subscription
Hämtar alla Azure Databricks Access Connectors i en prenumeration.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Databricks/accessConnectors?api-version=2026-01-01
URI-parametrar
| Name | I | Obligatorisk | Typ | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string (uuid) |
ID för målprenumerationen. Värdet måste vara ett UUID. |
|
api-version
|
query | True |
string minLength: 1 |
Den API-version som ska användas för den här åtgärden. |
Svar
| Name | Typ | Description |
|---|---|---|
| 200 OK |
Azure-operationen slutfördes framgångsrikt. |
|
| Other Status Codes |
Ett oväntat felsvar. |
Säkerhet
azure_auth
Azure Active Directory OAuth2 Flow.
Typ:
oauth2
Flow:
implicit
Auktoriseringswebbadress:
https://login.microsoftonline.com/common/oauth2/authorize
Omfattningar
| Name | Description |
|---|---|
| user_impersonation | personifiera ditt användarkonto |
Exempel
Lists all the Azure Databricks Access Connectors within a subscription.
Exempelbegäran
GET https://management.azure.com/subscriptions/11111111-1111-1111-1111-111111111111/providers/Microsoft.Databricks/accessConnectors?api-version=2026-01-01
Exempelsvar
{
"value": [
{
"name": "myAccessConnector1",
"type": "Microsoft.Databricks/accessConnectors",
"id": "/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg1/providers/Microsoft.Databricks/accessConnectors/myAccessConnector1",
"identity": {
"type": "SystemAssigned",
"principalId": "7ad2bae1-37d0-413e-91f8-b0b7bef807fc",
"tenantId": "e3fe3f22-4b98-4c04-82cc-d8817d1b17da"
},
"location": "West US",
"properties": {
"provisioningState": "Succeeded",
"referedBy": []
},
"tags": {}
},
{
"name": "myAccessConnector2",
"type": "Microsoft.Databricks/accessConnectors",
"id": "/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg1/providers/Microsoft.Databricks/accessConnectors/myAccessConnector2",
"identity": {
"type": "SystemAssigned",
"principalId": "5619ff16-afe1-47e5-ae67-8393c6c3223d",
"tenantId": "e3fe3f22-4b98-4c04-82cc-d8817d1b17da"
},
"location": "West US",
"properties": {
"provisioningState": "Succeeded",
"referedBy": []
},
"tags": {}
},
{
"name": "myAccessConnector3",
"type": "Microsoft.Databricks/accessConnectors",
"id": "/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg2/providers/Microsoft.Databricks/accessConnectors/myAccessConnector3",
"identity": {
"type": "SystemAssigned",
"principalId": "04b25430-8db1-48a0-9c2f-32270ed63eef",
"tenantId": "e3fe3f22-4b98-4c04-82cc-d8817d1b17da"
},
"location": "West US",
"properties": {
"provisioningState": "Succeeded",
"referedBy": []
},
"tags": {}
},
{
"name": "myAccessConnector4",
"type": "Microsoft.Databricks/accessConnectors",
"id": "/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg3/providers/Microsoft.Databricks/accessConnectors/myAccessConnector4",
"identity": {
"type": "SystemAssigned",
"principalId": "4856ceed-0a99-4df7-b9fc-35603650af06",
"tenantId": "e3fe3f22-4b98-4c04-82cc-d8817d1b17da"
},
"location": "West US",
"properties": {
"provisioningState": "Succeeded",
"referedBy": []
},
"tags": {}
}
]
}
Definitioner
| Name | Description |
|---|---|
|
Access |
Information om Azure Databricks Access Connector. |
|
Access |
Svaret från en AccessConnector-listoperation. |
|
Access |
|
|
Error |
Felinformation. |
|
Error |
Koden och meddelandet för ett fel. |
|
Error |
Innehåller information när svarskoden anger ett fel. |
|
Managed |
Hanterad tjänstidentitet (systemtilldelade och/eller användartilldelade identiteter) |
|
Managed |
Typ av hanterad tjänstidentitet (där både SystemAssigned- och UserAssigned-typer tillåts). |
|
Provisioning |
Etableringsstatus för arbetsytan. |
|
User |
Användartilldelade identitetsegenskaper |
AccessConnector
Information om Azure Databricks Access Connector.
| Name | Typ | Description |
|---|---|---|
| id |
string |
Fullständigt kvalificerat resurs-ID för resursen. Ex – /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| identity |
De hanterade tjänstidentiteter som tilldelats den här resursen. |
|
| location |
string |
Den geo-plats där resursen finns |
| name |
string |
Namnet på resursen |
| properties |
Egenskaper för Azure Databricks Access Connector |
|
| tags |
object |
Resursetiketter. |
| type |
string |
Resurstypen. Ex- Microsoft.Compute/virtualMachines eller Microsoft.Storage/storageAccounts. |
AccessConnectorListResult
Svaret från en AccessConnector-listoperation.
| Name | Typ | Description |
|---|---|---|
| nextLink |
string (uri) |
Länken till nästa sida med objekt |
| value |
AccessConnector-objekten på denna sida |
AccessConnectorProperties
| Name | Typ | Description |
|---|---|---|
| provisioningState |
Etableringsstatus för Access Connector. |
|
| referedBy |
string[] |
Lista över arbetsytor som refererar till den här åtkomstanslutningen. |
ErrorDetail
Felinformation.
| Name | Typ | Description |
|---|---|---|
| code |
string |
Koden för felet. |
| message |
string |
Ett felmeddelande som kan läsas av människor. |
| target |
string |
Anger vilken egenskap i begäran som är ansvarig för felet. |
ErrorInfo
Koden och meddelandet för ett fel.
| Name | Typ | Description |
|---|---|---|
| code |
string |
En maskinläsbar felkod. |
| details |
information om fel. |
|
| innererror |
string |
Inre felinformation om de finns. |
| message |
string |
Ett felmeddelande som kan läsas av människor. |
ErrorResponse
Innehåller information när svarskoden anger ett fel.
| Name | Typ | Description |
|---|---|---|
| error |
Felinformationen. |
ManagedServiceIdentity
Hanterad tjänstidentitet (systemtilldelade och/eller användartilldelade identiteter)
| Name | Typ | Description |
|---|---|---|
| principalId |
string (uuid) |
Tjänstens huvudnamns-ID för den systemtilldelade identiteten. Den här egenskapen tillhandahålls endast för en systemtilldelad identitet. |
| tenantId |
string (uuid) |
Klientorganisations-ID för den systemtilldelade identiteten. Den här egenskapen tillhandahålls endast för en systemtilldelad identitet. |
| type |
Typ av hanterad tjänstidentitet (där både SystemAssigned- och UserAssigned-typer tillåts). |
|
| userAssignedIdentities |
<string,
User |
User-Assigned identiteter |
ManagedServiceIdentityType
Typ av hanterad tjänstidentitet (där både SystemAssigned- och UserAssigned-typer tillåts).
| Värde | Description |
|---|---|
| None | |
| SystemAssigned | |
| UserAssigned | |
| SystemAssigned,UserAssigned |
ProvisioningState
Etableringsstatus för arbetsytan.
| Värde | Description |
|---|---|
| Accepted |
Accepted |
| Running |
Springa |
| Ready |
Redo |
| Creating |
Skapar |
| Created |
Created |
| Deleting |
Tas bort |
| Deleted |
Borttagen |
| Canceled |
Annullerad |
| Failed |
Misslyckades |
| Succeeded |
lyckades |
| Updating |
Uppdatera |
UserAssignedIdentity
Användartilldelade identitetsegenskaper
| Name | Typ | Description |
|---|---|---|
| clientId |
string (uuid) |
Klient-ID för den tilldelade identiteten. |
| principalId |
string (uuid) |
Huvud-ID för den tilldelade identiteten. |